import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  titre = 'Gestion des assignments';
  ajoutActive = false;
  assignmentSelectionne?: Assignment;
  formVisible = false;



  assignments:Assignment[] = [
    {
      nom: 'Devoir WebComponents lecteur video',
      dateDeRendu: new Date('2021-11-07'),
      rendu: true,
    },
    {
      nom: 'Devoir Angular en binôme',
      dateDeRendu: new Date('2021-12-18'),
      rendu: false,
    },
    {
      nom: 'Devoir App Mobile cross platform',
      dateDeRendu: new Date('2021-12-03'),
      rendu: false,
    },
  ];
  constructor() {}

  ngOnInit(): void {
    setTimeout(() => {
      // exécuté au bout de 3s
      this.ajoutActive = true;
    }, 3000);
  }

  getColor(a: any) {
     return a.rendu ? 'green' : 'red';
  }



  assignmentClique(assignment:Assignment) {
    this.assignmentSelectionne = assignment;
    console.log("Assignment clique : " + this.assignmentSelectionne.nom);
  }

  onAddAssignmentBtnClick() {
    this.formVisible = true;
  }

  onNouvelAssignment(assignment:Assignment) {
    this.assignments.push(assignment);

    // et on re-affiche la liste
    this.formVisible = false;
  }
}
